twitter4j

## Class LoggerFactory

- java.lang.Object
- - twitter4j.LoggerFactory

    public abstract class LoggerFactory
    extends Object

Since:
  Twitter4J 2.1.1
Author:
  Yusuke Yamamoto - yusuke at mac.com

### Constructor Summary

Constructors
Constructor and Description
`LoggerFactory()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract Logger` `getLogger(Class<?> clazz)` Returns a logger associated with the specified class.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LoggerFactory

    public LoggerFactory()

### Method Detail

#### getLogger

    public abstract Logger getLogger(Class<?> clazz)

Returns a logger associated with the specified class.

Parameters:
  `clazz` - class
Returns:
  a logger instance